/***************************************************************************
 * trackpageviewtest.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2004-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TRACKPAGEVIEWTEST_H
#define TRACKPAGEVIEWTEST_H

#include <QtTest>
#include <QtCore>

#include "src/track/cm.h"
#include "src/track/qsizecm.h"

class TrackPageViewTest : public QObject
{
	Q_OBJECT
public:
	static const uint sDpi;
	static const Cm sMargins;
	static const QSizeCm sPageSize;
	
	
private slots:
	void testSongProperties();
	void testPageSize();
	void testMargins();
};

#endif
